DecomposedInitiation
Date: 2014-08-08

melting.patternModels.cricksPair

## Class DecomposedInitiation

- java.lang.Object
- - melting.patternModels.PatternComputation
  - - melting.patternModels.cricksPair.CricksNNMethod
    - - melting.patternModels.cricksPair.DecomposedInitiation

- All Implemented Interfaces:
    PatternComputationMethod
  Direct Known Subclasses:
    AllawiSantalucia97, Tanaka04

      public abstract class DecomposedInitiation
      extends CricksNNMethod

  This class represents one model to compute the initiation enthalpy and entropy. The duplex initiation is computed by the addition of an initiation penalty for the first base pair of the duplex and an initiation penalty for the last base pair of the duplex. It extends CricksNNMethod.

- - ### Field Summary

    - ### Fields inherited from class melting.patternModels.PatternComputation

      `collector, fileName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecomposedInitiation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `computesHybridizationInitiation(Environment environment)` computes the enthalpy and entropy for the duplex initiation with the Environment 'environment'.

    - ### Methods inherited from class melting.patternModels.cricksPair.CricksNNMethod

      `computeThermodynamics, isMissingParameters`

    - ### Methods inherited from class melting.patternModels.PatternComputation

      `getCollector, getData, getDataFileName, initialiseFileName, isApplicable, loadData, loadFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecomposedInitiation

          public DecomposedInitiation()

  - ### Method Detail

    - #### computesHybridizationInitiation

          public ThermoResult computesHybridizationInitiation(Environment environment)

      Description copied from class: `CricksNNMethod`
      computes the enthalpy and entropy for the duplex initiation with the Environment 'environment'.
      Overrides:
        `computesHybridizationInitiation` in class `CricksNNMethod`
      Returns:
        ThermoResult containing the enthalpy and entropy which contain the duplex initiation penalty.